Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060546 - Review Request: ocaml-zed - Abstract Engine for Text Edition in OCaml
Summary: Review Request: ocaml-zed - Abstract Engine for Text Edition in OCaml
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ben Rosser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-02-02 14:33 UTC by Jochen Schmitt
Modified: 2016-05-18 19:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-18 19:35:59 UTC


Attachments (Terms of Use)

Description Jochen Schmitt 2014-02-02 14:33:49 UTC
Spec URL: http://www.herr-schmitt.de/pub/zed/ocaml-zed.spec
SRPM URL: http://www.herr-schmitt.de/pub/zed/ocaml-zed-1.2-1.fc20.src.rpm

Description: 

Abstract engine for text edition in OCaml
Zed is an abstract engine for text edition. It can be used to write
text editors, edition widgets, readlines, ...

Zed uses Camomile to fully support the Unicode specification, and
implements an UTF-8 encoded string type with validation, and a rope
datastructure to achieve efficient operations on large Unicode
buffers. Zed also features a regular expression search on ropes.

To support efficient text edition capabilities, Zed provides macro
recording and cursor management facilities.

Fedora Account System Username: s4504kr

Comment 1 Ben Rosser 2016-02-27 04:52:56 UTC
Are you still interested in this package?

If so, I'd be willing to review.

An initial comment on the spec: instead of "%doc LICENSE", you should use "%license LICENSE" to flag the license file; see https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text.

Comment 2 Ben Rosser 2016-05-07 16:26:08 UTC
https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

It's been more than a month; this review is stalled as per the above. Please respond in a week if you're still interested in packaging ocaml-zed.

Comment 3 Ben Rosser 2016-05-18 19:35:59 UTC
There's been no response (for more than a week) and someone emailed devel@ in April because s4504kr had been unresponsive elsewhere. :( Going to close.


Note You need to log in before you can comment on or make changes to this bug.